gnutls_pkcs11_copy_secret_key(3)

NAME
gnutls_pkcs11_copy_secret_key - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pkcs11_copy_secret_key(const char * token_url, gnutls_datum_t * key, const char * label, unsigned int key_usage, unsigned int flags);

ARGUMENTS

const char * token_url
    A PKCS 11 URL specifying a token

gnutls_datum_t * key
    The raw key

const char * label
    A name to be used for the stored data

unsigned int key_usage
    One of GNUTLS_KEY_*

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_FLAG_*

DESCRIPTION
This function will copy a raw secret (symmetric) key into a PKCS 11 token specified by a URL. The key can be marked as sensitive or not.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.